Update component metadata - Gable Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
PATCH
/ v0 / component /{id}
Update component metadata
cURL
curl --request PATCH \
--url https://demo-api.gable.ai/v0/component/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"friendly_name": "<string>",
"xgress_friendly_names": {}
}'
Python
import requests
url = "https://demo-api.gable.ai/v0/component/{id}"
payload = {
"friendly_name": "<string>",
"xgress_friendly_names": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({friendly_name: '<string>', xgress_friendly_names: {}})
};
fetch('https://demo-api.gable.ai/v0/component/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo-api.gable.ai/v0/component/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'friendly_name' => '<string>',
'xgress_friendly_names' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo-api.gable.ai/v0/component/{id}"
payload := strings.NewReader("{\n \"friendly_name\": \"<string>\",\n \"xgress_friendly_names\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.patch("https://demo-api.gable.ai/v0/component/{id}")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"friendly_name\": \"<string>\",\n \"xgress_friendly_names\": {}\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://demo-api.gable.ai/v0/component/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"friendly_name\": \"<string>\",\n \"xgress_friendly_names\": {}\n}"
response = http.request(request)
puts response.read_body
Response
200
{
"success": true
}
Authorizations
X-API-KEY
- Type: string
- Location: header
- Required: Yes
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| id | string |
Yes | UUID of the component |
Body
| Name | Type | Description |
|---|---|---|
| friendly_name | string | User-defined friendly name for the component. Pass empty string to remove. |
| xgress_friendly_names | object null | Map of boundary ID to friendly name. Pass null value to remove a friendly name. |
Response
200 - application/json
- Component updated successfully
| Name | Type | Description |
|---|---|---|
| success | boolean | Indicates operation success |